Bug 156711 - CAN-2005-1390 HTTP Request Smuggling Vulnerabilities
CAN-2005-1390 HTTP Request Smuggling Vulnerabilities
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: squid (Show other bugs)
3
All Linux
medium Severity low
: ---
: ---
Assigned To: Jay Fenlason
impact=low,public=20050423,source=cve...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-03 11:16 EDT by Josh Bressers
Modified: 2014-08-31 19:27 EDT (History)
1 user (show)

See Also:
Fixed In Version: 7:2.5.STABLE8-1.FC3.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-16 14:43:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-05-03 11:16:17 EDT
+++ This bug was initially created as a clone of Bug #156704 +++

Squid is susceptible to a class of attacks known as "HTTP Request
Smuggling."  These attacks involve sending malformed HTTP requests
that cause Squid and an upstream HTTP agent (origin server or
another proxy) to disagree on the boundary between HTTP requests
on a persistent connection.

http://www3.br.squid-cache.org/Advisories/SQUID-2005_4.txt

Note You need to log in before you can comment on or make changes to this bug.